%define majver %(echo %version | cut -d. -f1-2)
Name:          ktexteditor
Version:       5.76.0
Release:       1mamba
Summary:       Full text editor component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/ktexteditor-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kconfig-devel
BuildRequires: libgcc
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libgit2-devel >= 1.1.0-1mamba
BuildRequires: cmake
BuildRequires: libsyntax-highlighting-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KTextEditor provides a powerful text editor component that you can embed in your application, either as a KPart or using the KF5::TextEditor library (if you need more control).
The text editor component contains many useful features, from syntax highlighting and automatic indentation to advanced scripting support, making it suitable for everything from a simple embedded text-file editor to an advanced IDE.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Full text editor component

%description -n lib%{name}
KTextEditor provides a powerful text editor component that you can embed in your application, either as a KPart or using the KF5::TextEditor library (if you need more control).
The text editor component contains many useful features, from syntax highlighting and automatic indentation to advanced scripting support, making it suitable for everything from a simple embedded text-file editor to an advanced IDE.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang ktexteditor5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f ktexteditor5.lang
%defattr(-,root,root)
%{_libdir}/libKF5TextEditor.so.*
%{_libdir}/qt5/plugins/kf5/parts/katepart.so
%{_libexecdir}/kf5/kauth/kauth_ktexteditor_helper
%{_datadir}/dbus-1/system-services/org.kde.ktexteditor.katetextbuffer.service
%{_datadir}/dbus-1/system.d/org.kde.ktexteditor.katetextbuffer.conf
%{_datadir}/polkit-1/actions/org.kde.ktexteditor.katetextbuffer.policy
%dir %{_datadir}/katepart5
%dir %{_datadir}/katepart5/script
%{_datadir}/katepart5/script/*
%{_datadir}/kservices5/katepart.desktop
%{_datadir}/kservicetypes5/ktexteditor.desktop
%{_datadir}/kservicetypes5/ktexteditorplugin.desktop
%{_datadir}/kdevappwizard/templates/ktexteditor-plugin.tar.bz2
%{_datadir}/qlogging-categories5/ktexteditor.*categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KF5/KTextEditor
%dir %{_includedir}/KF5/KTextEditor/KTextEditor
%{_includedir}/KF5/KTextEditor/KTextEditor/*
%dir %{_includedir}/KF5/KTextEditor/ktexteditor
%{_includedir}/KF5/KTextEditor/ktexteditor/*
%{_includedir}/KF5/KTextEditor/ktexteditor_export.h
%{_includedir}/KF5/ktexteditor_version.h
%dir %{_libdir}/cmake/KF5TextEditor
%{_libdir}/cmake/KF5TextEditor/KF5TextEditor*.cmake
%{_libdir}/libKF5TextEditor.so
%{_kde5_mkspecsdir}/qt_KTextEditor.pri
%doc README.md

%changelog
* Tue Nov 17 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.75.0-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=1.1.0-1mamba

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 5.70.1-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Sun Apr 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.69.0-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=1.0.0-1mamba

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Sun Oct 20 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Wed Jul 24 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Sat Jun 15 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 30 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-2mamba
- rebuilt by autoport with build requirements: libgit2-devel>=0.26.0-1mamba

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Tue Dec 27 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Mon Oct 10 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Thu Jul 28 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Sun Apr 24 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Mon Apr 04 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Mon Jan 18 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Fri Dec 11 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Fri Nov 13 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Mon Oct 12 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Mon Aug 17 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Sat May 23 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sun Mar 29 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Mar 15 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
